## org.jfree.chart.labels
Interface XYSeriesLabelGenerator

All Known Implementing Classes:
  MultipleXYSeriesLabelGenerator, StandardXYSeriesLabelGenerator

public interface XYSeriesLabelGenerator

A generator that creates labels for the series in an `XYDataset`.

Method Summary
`java.lang.String` `generateLabel(XYDataset dataset, int series)` Generates a label for the specified series.

Method Detail

### generateLabel

    public java.lang.String generateLabel(XYDataset dataset,
                                          int series)

  Generates a label for the specified series. This label will be used for the chart legend.

  Parameters:
    `dataset` - the dataset.
    `series` - the series.
  Returns:
    A series label.